.pricing-tables {
	padding: 3em 0;
}

.pricing-tables__container {
	z-index: 2;
}

.pricing-tables__col--main {
	width: 100%;
}

.pricing-tables__header {
	max-width: 800px;
}

.section-header--left {
	&.pricing-tables__header {
		text-align: left;
		margin-left: 0;
	}

	& .pricing-tables__description {
		margin-top: 1em;
	}
}

.section-header--right {
	&.pricing-tables__header {
		text-align: right;
		margin-right: 0;
	}

	& .pricing-tables__description {
		margin-top: 1em;
	}
}

.section-header--center {
	&.pricing-tables__header {
		text-align: center;
	}

	& .pricing-tables__description {
		margin-top: 1em;
	}
}

.pricing-tables__title {
	width: 100%;
	margin-bottom: 2em;
}

.pricing-tables__description {
	width: 100%;

	& * {
		&:first-child {
			margin-top: 0;
		}
	}
}

.pricing-tables--preset-1 {
	& .pricing-tables__col--main {
		margin-top: 1.5em;
	}
}

.pricing-tables--preset-3 {
	& .pricing-tables__title {
		text-align: center;
	}

	& .pricing-tables__description {
		margin-top: 1em;
		width: 100%;

		@media (--s) {
			margin-top: 2.5em;
			width: 25%;
		}

		& .pricing-tables__description {
			padding: 1.5em 1em;
			background: var(--primary);
			color: var(--white);
			height: 100%;
			font-size: 1.25rem;
			border-radius: 20px;
		}
	}

	& .pricing-tables__col--main {
		margin-top: 1.5em;
		width: 100%;

		@media (--s) {
			width: 75%;
		}
	}
}

.pricing-tables--preset-2 {
	& .pricing-tables__col--main {
		margin-top: 1.5em;
	}
}

.pricing-tables__inner {
	margin: 0 -10px;

	@media (--m) {
		margin: 0 -16px;
	}
}

.pricing-tables__col,
.pricing-tables__slider-item {
	padding: 0 1em;
	display: flex;
}

.pricing-tables--2-columns {
	& .pricing-tables__col {
		@mixin column-item 2, 1em;

		@media (--s) {
			@mixin column-item 2, 2em;
		}
	}

	& .pricing-tables__slider-item {
		@mixin column-item 2, 0;

		@media (--s) {
			@mixin column-item 2, 0;
		}
	}
}

.pricing-tables--3-columns {
	& .pricing-tables__col {
		@media (--xs) {
			@mixin column-item 2, 1em;
		}

		@media (--s) {
			@mixin column-item 3, 2em;
		}
	}

	& .pricing-tables__slider-item {
		@mixin column-item 1, 0;

		@media (--s) {
			@mixin column-item 2, 0;
		}

		@media (--sm) {
			@mixin column-item 3, 0;
		}
	}
}

.pricing-tables--4-columns {
	& .pricing-tables__col {
		@mixin column-item 2, 1em;

		@media (--sm) {
			@mixin column-item 4, 2em;
		}
	}

	& .pricing-tables__slider-item {
		@mixin column-item 2, 0;

		@media (--sm) {
			@mixin column-item 4, 0;
		}
	}
}

.pricing-tables__background {
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
}

.pricing-tables--light {
	color: var(--white);

	& .pricing-box--style-1 {
		background: rgba(0, 0, 0, 0.3);

		&.pricing-box--distinctive {
			background: var(--white);
			color: var(--dark);
		}
	}

	& .pricing-box--style-2 {
		border-color: var(--white);
		background: rgba(0, 0, 0, 0.3);

		& .pricing-box__pricing {
			background: var(--secondary);
		}

		& .pricing-box__button {
			background: var(--secondary);
			color: var(--white);
		}

		&.pricing-box--distinctive {
			& .pricing-box__pricing {
				background: var(--primary);
			}

			& .pricing-box__button {
				background: var(--primary);
			}
		}
	}

	& .pricing-box--style-3 {
		background: var(--white);
		color: var(--dark);
	}
}

.pricing-tables--button-circle {
	@mixin slider-button-circle;
}

.pricing-tables--button-simple {
	@mixin slider-button-simple;
}

.pricing-tables--button-square {
	@mixin slider-button-square;
}

.pricing-tables--dots-dashes {
	@mixin slider-button-dashes;
}

.pricing-tables--dots-square {
	@mixin slider-dots-square;
}

.pricing-tables--dots-left {
	@mixin slider-dots-left;
}

.pricing-tables--dots-right {
	@mixin slider-dots-right;
}

.pricing-tables--button-top-left {
	@mixin slider-button-top-left;
}

.pricing-tables--button-bottom-left {
	@mixin slider-button-bottom-left;
}

.pricing-tables--button-top-right {
	@mixin slider-button-top-right;
}

.pricing-tables--button-bottom-right {
	@mixin slider-button-bottom-right;
}

.pricing-tables--slider {
	@mixin slider-button-circle;
	@mixin slider-dots-square;

	& .pricing-tables__slider {
		padding-bottom: 2em;
	}

	& .flickity-page-dots {
		bottom: 0;
	}

	& .pricing-tables__item {
		width: 100%;
		margin-top: 1em;
	}

	& .flickity-prev-next-button {
		display: none;
		box-shadow: 0 0 10px 0 var(--gray);

		@media (--ml) {
			display: block;

			&.previous {
				left: -50px;
			}

			&.next {
				right: -50px;
			}
		}
	}

	@media (--s) {
		&.has-2-columns {
			& .pricing-tables__item {
				width: calc((100% - var(--grid-gutter-m) * 1) / 2);
				margin-right: var(--grid-gutter-m);
			}
		}

		&.has-3-columns {
			& .pricing-tables__item {
				width: calc((100% - var(--grid-gutter-m) * 2) / 3);
				margin-right: var(--grid-gutter-m);
			}
		}

		&.has-4-columns {
			& .pricing-tables__item {
				width: calc((100% - var(--grid-gutter-m) * 3) / 4);
				margin-right: var(--grid-gutter-m);
			}
		}

		&.has-5-columns {
			& .pricing-tables__item {
				width: calc((100% - var(--grid-gutter-m) * 4) / 5);
				margin-right: var(--grid-gutter-m);
			}
		}
	}
}
